<template>
  <div class="content">
    <h1>REGISTER</h1>
    <input
      v-model="user_name"
      type="text"
      name="username"
      placeholder="username"
    />
    <br />
    <input v-model="email" type="email" name="email" placeholder="email" />
    <br />
    <input
      v-model="password"
      type="password"
      name="password"
      placeholder="password"
      autocomplete="new-password"
    />
    <br />
    <button @click="register">Register</button>
  </div>
</template>

<script>
import AuthenticationService from '@/services/AuthenticationService'
export default {
  data() {
    return {
      user_name: '',
      email: '',
      password: ''
    }
  },
  methods: {
    async register() {
      try {
        const response = await AuthenticationService.register({
          user_name: this.user_name,
          email: this.email,
          password: this.password
        })
        this.$store.dispatch('setToken', response.data.token)
        this.$store.dispatch('setUser', response.data.user)
      } catch (error) {
        this.error = error.response.data.error
      }
    }
  }
}
</script>

<style scoped>
.content {
  margin-left: var(--width-sidebar);
}
</style>
